Create Lead Event: Propertyware
POST
https://api.propexo.com/v1/events/leads/propertyware/| Method |
|---|
| attachNoteToContact |
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
lead_idstringrequired
The Propexo unique identifier for the lead
notesstringrequired
Notes associated with the event
event_namestringrequired
The name or type of event
event_datetimestring<date-time>
The date when the event will occur
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
lead_idstringrequired
The Propexo unique identifier for the lead
notesstringrequired
Notes associated with the event
event_namestringrequired
The name or type of event
event_datetime(string | null)<date-time>nullablerequired
The date when the event will occur
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/leads/propertyware/
curl -X POST https://api.propexo.com/v1/events/leads/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"notes": "string",
"event_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"notes": "string",
"event_name": "string",
"event_datetime": "2024-07-29T15:51:28.071Z"
}
}